cURL
curl --request GET \
--url https://web-scraping-api2.p.rapidapi.com/get-post-reactions \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://web-scraping-api2.p.rapidapi.com/get-post-reactions"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://web-scraping-api2.p.rapidapi.com/get-post-reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"reactor": {
"headline": "A research Engineer at aeronautics company working with multi scale simulations (from FEM through Dislocation dynamics down to Quantum mechanics) as well as thinking with innovative ideas",
"linkedin_url": "https://www.linkedin.com/in/ACoAABQcMlMBXO-SUcqXCk2C5PBvpUWJ53ejdVY",
"name": "Hyung-Jun Chang",
"urn": "ACoAABQcMlMBXO-SUcqXCk2C5PBvpUWJ53ejdVY"
},
"type": "LIKE",
"following_state": null
}
],
"message": "ok",
"total": 74
}{
"data": null,
"message": "Bad request: Invalid URN."
}{
"data": null,
"message": "The url was not found on Linkedin."
}{
"data": null,
"message": "System error. We will fix it soon!"
}Post Data
Get Post's Reaction
-
Get reactions of a post.
-
1 credit per call.
GET
/
get-post-reactions
cURL
Authorizations
Query Parameters
The URN of the post. Either urn or share_urn is required.
The share URN of the post. Can be used as an alternative to urn.
Available options:
ALL, LIKE, EMPATHY, APPRECIATION, INTEREST, PRAISE Example:
"ALL"
⌘I
